Overview | Modules | Class Hierarchy | Classes | Members
# PropertyWidget Class Reference [Tulip_Widgets] `#include <PropertyWidget.h>` Inherits tlp::TulipTableWidget. Inheritance diagram for PropertyWidget: [legend] Collaboration diagram for PropertyWidget: [legend] List of all members. ## Public Slots void setGraph (tlp::Graph *) void changeProperty (tlp::Graph *, const std::string &name) void selectNodeOrEdge (bool) void changePropertyValue (int, int) void changePropertyNodeValue (int, int) void changePropertyEdgeValue (int, int) void filterSelection (bool) void scroll (int) void update () void updateNodes () void updateEdges () void updateNbElements () void setAllEdgeValue () void setAllNodeValue () void setAll () ## Signals void tulipNodePropertyChanged (tlp::Graph *, const tlp::node &, const QString &property, const QString &value) void tulipEdgePropertyChanged (tlp::Graph *, const tlp::edge &, const QString &property, const QString &value) void showElementProperties (unsigned int eltId, bool isNode) ## Public Member Functions PropertyWidget (QWidget *, const char *=0) ~PropertyWidget () tlp::Graph * getGraph () const ## Protected Member Functions virtual void connectNotify (const char *signal) ## Constructor & Destructor Documentation
PropertyWidget::PropertyWidget | ( | QWidget * | ,
|  | const char * | = `0`
| ) |
PropertyWidget::~PropertyWidget | ( |  | ) |
## Member Function Documentation
void PropertyWidget::changeProperty | ( | tlp::Graph * | ,
|  | const std::string & | name
| ) | `[slot]`
void PropertyWidget::changePropertyEdgeValue | ( | int | ,
|  | int |
| ) | `[slot]`
void PropertyWidget::changePropertyNodeValue | ( | int | ,
|  | int |
| ) | `[slot]`
void PropertyWidget::changePropertyValue | ( | int | ,
|  | int |
| ) | `[slot]`
virtual void PropertyWidget::connectNotify | ( | const char * | signal | ) | `[protected, virtual]`
void PropertyWidget::filterSelection | ( | bool |  | ) | `[slot]`
tlp::Graph* PropertyWidget::getGraph | ( |  | ) | const
void PropertyWidget::scroll | ( | int |  | ) | `[slot]`
void PropertyWidget::selectNodeOrEdge | ( | bool |  | ) | `[slot]`
void PropertyWidget::setAll | ( |  | ) | `[slot]`
void PropertyWidget::setAllEdgeValue | ( |  | ) | `[slot]`
void PropertyWidget::setAllNodeValue | ( |  | ) | `[slot]`
void PropertyWidget::setGraph | ( | tlp::Graph * |  | ) | `[slot]`
void PropertyWidget::showElementProperties | ( | unsigned int | eltId,
|  | bool | isNode
| ) | `[signal]`
void PropertyWidget::tulipEdgePropertyChanged | ( | tlp::Graph * | ,
|  | const tlp::edge & | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`
void PropertyWidget::tulipNodePropertyChanged | ( | tlp::Graph * | ,
|  | const tlp::node & | ,
|  | const QString & | property,
|  | const QString & | value
| ) | `[signal]`
void PropertyWidget::update | ( |  | ) | `[slot]`
void PropertyWidget::updateEdges | ( |  | ) | `[slot]`
void PropertyWidget::updateNbElements | ( |  | ) | `[slot]`
void PropertyWidget::updateNodes | ( |  | ) | `[slot]`

Tulip Software by LaBRI Visualization Team 2001 - 2010